Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.localsearch.decider.acceptor
Class AcceptorConfig

    java.lang.Object
      org.drools.planner.config.localsearch.decider.acceptor.AcceptorConfig

    public class AcceptorConfig

extends Object

Nested Class Summary
`static class` | `AcceptorConfig.AcceptorType`

Field Summary
`protected Double` | `greatDelugeWaterLevelUpperBoundRate`
`protected Double` | `greatDelugeWaterRisingRate`
`protected Integer` | `moveTabuSize`
`protected Integer` | `partialMoveTabuSize`
`protected Integer` | `partialPlanningEntityTabuSize`
`protected Integer` | `partialPlanningValueTabuSize`
`protected Integer` | `partialSolutionTabuSize`
`protected Integer` | `partialUndoMoveTabuSize`
`protected Integer` | `planningEntityTabuSize`
`protected Integer` | `planningValueTabuSize`
`protected String` | `simulatedAnnealingStartingTemperature`
`protected Integer` | `solutionTabuSize`
`protected Integer` | `undoMoveTabuSize`

Constructor Summary
`AcceptorConfig()`

Method Summary
`Acceptor` | `buildAcceptor(EnvironmentMode environmentMode, ScoreDefinition scoreDefinition)`
`List<Class<? extends Acceptor>>` | `getAcceptorClassList()`
`List<AcceptorConfig.AcceptorType>` | `getAcceptorTypeList()`
`Double` | `getGreatDelugeWaterLevelUpperBoundRate()`
`Double` | `getGreatDelugeWaterRisingRate()`
`Integer` | `getMoveTabuSize()`
`Integer` | `getPartialMoveTabuSize()`
`Integer` | `getPartialPlanningEntityTabuSize()`
`Integer` | `getPartialPlanningValueTabuSize()`
`Integer` | `getPartialSolutionTabuSize()`
`Integer` | `getPartialUndoMoveTabuSize()`
`Integer` | `getPlanningEntityTabuSize()`
`Integer` | `getPlanningValueTabuSize()`
`String` | `getSimulatedAnnealingStartingTemperature()`
`Integer` | `getSolutionTabuSize()`
`Integer` | `getUndoMoveTabuSize()`
`void` | `inherit(AcceptorConfig inheritedConfig)`
`void` | `setAcceptorClassList(List<Class<? extends Acceptor>> acceptorClassList)`
`void` | `setAcceptorTypeList(List<AcceptorConfig.AcceptorType> acceptorTypeList)`
`void` | `setGreatDelugeWaterLevelUpperBoundRate(Double greatDelugeWaterLevelUpperBoundRate)`
`void` | `setGreatDelugeWaterRisingRate(Double greatDelugeWaterRisingRate)`
`void` | `setMoveTabuSize(Integer moveTabuSize)`
`void` | `setPartialMoveTabuSize(Integer partialMoveTabuSize)`
`void` | `setPartialPlanningEntityTabuSize(Integer partialPlanningEntityTabuSize)`
`void` | `setPartialPlanningValueTabuSize(Integer partialPlanningValueTabuSize)`
`void` | `setPartialSolutionTabuSize(Integer partialSolutionTabuSize)`
`void` | `setPartialUndoMoveTabuSize(Integer partialUndoMoveTabuSize)`
`void` | `setPlanningEntityTabuSize(Integer planningEntityTabuSize)`
`void` | `setPlanningValueTabuSize(Integer planningValueTabuSize)`
`void` | `setSimulatedAnnealingStartingTemperature(String simulatedAnnealingStartingTemperature)`
`void` | `setSolutionTabuSize(Integer solutionTabuSize)`
`void` | `setUndoMoveTabuSize(Integer undoMoveTabuSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### moveTabuSize

    protected Integer moveTabuSize

### partialMoveTabuSize

    protected Integer partialMoveTabuSize

### undoMoveTabuSize

    protected Integer undoMoveTabuSize

### partialUndoMoveTabuSize

    protected Integer partialUndoMoveTabuSize

### planningEntityTabuSize

    protected Integer planningEntityTabuSize

### partialPlanningEntityTabuSize

    protected Integer partialPlanningEntityTabuSize

### planningValueTabuSize

    protected Integer planningValueTabuSize

### partialPlanningValueTabuSize

    protected Integer partialPlanningValueTabuSize

### solutionTabuSize

    protected Integer solutionTabuSize

### partialSolutionTabuSize

    protected Integer partialSolutionTabuSize

### simulatedAnnealingStartingTemperature

    protected String simulatedAnnealingStartingTemperature

### greatDelugeWaterLevelUpperBoundRate

    protected Double greatDelugeWaterLevelUpperBoundRate

### greatDelugeWaterRisingRate

    protected Double greatDelugeWaterRisingRate

Constructor Detail

### AcceptorConfig

    public AcceptorConfig()

Method Detail

### getAcceptorClassList

    public List<Class<? extends Acceptor>> getAcceptorClassList()

### setAcceptorClassList

    public void setAcceptorClassList(List<Class<? extends Acceptor>> acceptorClassList)

### getAcceptorTypeList

    public List<AcceptorConfig.AcceptorType> getAcceptorTypeList()

### setAcceptorTypeList

    public void setAcceptorTypeList(List<AcceptorConfig.AcceptorType> acceptorTypeList)

### getMoveTabuSize

    public Integer getMoveTabuSize()

### setMoveTabuSize

    public void setMoveTabuSize(Integer moveTabuSize)

### getPartialMoveTabuSize

    public Integer getPartialMoveTabuSize()

### setPartialMoveTabuSize

    public void setPartialMoveTabuSize(Integer partialMoveTabuSize)

### getUndoMoveTabuSize

    public Integer getUndoMoveTabuSize()

### setUndoMoveTabuSize

    public void setUndoMoveTabuSize(Integer undoMoveTabuSize)

### getPartialUndoMoveTabuSize

    public Integer getPartialUndoMoveTabuSize()

### setPartialUndoMoveTabuSize

    public void setPartialUndoMoveTabuSize(Integer partialUndoMoveTabuSize)

### getPlanningEntityTabuSize

    public Integer getPlanningEntityTabuSize()

### setPlanningEntityTabuSize

    public void setPlanningEntityTabuSize(Integer planningEntityTabuSize)

### getPartialPlanningEntityTabuSize

    public Integer getPartialPlanningEntityTabuSize()

### setPartialPlanningEntityTabuSize

    public void setPartialPlanningEntityTabuSize(Integer partialPlanningEntityTabuSize)

### getPlanningValueTabuSize

    public Integer getPlanningValueTabuSize()

### setPlanningValueTabuSize

    public void setPlanningValueTabuSize(Integer planningValueTabuSize)

### getPartialPlanningValueTabuSize

    public Integer getPartialPlanningValueTabuSize()

### setPartialPlanningValueTabuSize

    public void setPartialPlanningValueTabuSize(Integer partialPlanningValueTabuSize)

### getSolutionTabuSize

    public Integer getSolutionTabuSize()

### setSolutionTabuSize

    public void setSolutionTabuSize(Integer solutionTabuSize)

### getPartialSolutionTabuSize

    public Integer getPartialSolutionTabuSize()

### setPartialSolutionTabuSize

    public void setPartialSolutionTabuSize(Integer partialSolutionTabuSize)

### getSimulatedAnnealingStartingTemperature

    public String getSimulatedAnnealingStartingTemperature()

### setSimulatedAnnealingStartingTemperature

    public void setSimulatedAnnealingStartingTemperature(String simulatedAnnealingStartingTemperature)

### getGreatDelugeWaterLevelUpperBoundRate

    public Double getGreatDelugeWaterLevelUpperBoundRate()

### setGreatDelugeWaterLevelUpperBoundRate

    public void setGreatDelugeWaterLevelUpperBoundRate(Double greatDelugeWaterLevelUpperBoundRate)

### getGreatDelugeWaterRisingRate

    public Double getGreatDelugeWaterRisingRate()

### setGreatDelugeWaterRisingRate

    public void setGreatDelugeWaterRisingRate(Double greatDelugeWaterRisingRate)

### buildAcceptor

    public Acceptor buildAcceptor(EnvironmentMode environmentMode,
                                  ScoreDefinition scoreDefinition)

### inherit

    public void inherit(AcceptorConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.